View Issue Details

IDProjectCategoryView StatusLast Update
0004939Talermechant backendpublic2020-04-11 18:52
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.7.1Fixed in Version0.7.1 
Summary0004939: add support for multiple wire methods / accounts per instance
DescriptionWe eventually would want a given instance to support multiple wire methods / backends. When processing /pay, we can pick the correct one from the H_wire given in the proposal. This will facilitate merchants migrating between accounts.
TagsNo tags attached.

Activities

Christian Grothoff

2018-01-19 00:59

manager   ~0012806

Note: in /proposal processing, we still need a way for the merchant to specify which wire method(s) he wants to support (possibly a subset of all available ones).

Christian Grothoff

2018-01-19 01:28

manager   ~0012807

f7baa35..e8f4501 implements keeping multiple wire methods around (and allowing any of them to be given in a contract, so the list can be _expanded_). What is missing is (1) offering more than one in a contract, and (2) allowing the configuration to specify which one(s) should be offered.

Christian Grothoff

2018-04-15 12:29

manager   ~0012918

7a20062bafed42f937c5388aed09042aad7014c0..202827ebdaafdf33b78c202bcbb6917dd65dd1c1 update configuration structure to enable multi-account, multi-plugin setups for exchange and auditor. Also we now use payto://-URLs instead of JSON to specify accounts. Deployment.git still needs to be updated!

Christian Grothoff

2020-04-11 18:44

manager   ~0015624

19c56c7..6ff02bc implements support for clients specifying the payment target. The backend then uses the (active) wire method that uses the given payment target. Specified in docs.git in eddd862..2bcfbab. What is still missing is for /config to expose the set of payment targets an instance supports.

Christian Grothoff

2020-04-11 18:52

manager   ~0015625

6ff02bc..68f197e implements returning payment targets in /config. That should finish this issue.

Issue History

Date Modified Username Field Change
2017-03-06 13:53 Christian Grothoff New Issue
2017-03-06 13:53 Christian Grothoff Status new => assigned
2017-03-06 13:53 Christian Grothoff Assigned To => Marcello Stanisci
2017-03-06 13:55 Christian Grothoff Assigned To Marcello Stanisci =>
2017-03-06 13:55 Christian Grothoff Status assigned => confirmed
2017-03-06 15:42 Christian Grothoff Summary add support for multiple wire metods / accounts per instance => add support for multiple wire methods / accounts per instance
2017-04-09 00:14 Christian Grothoff Target Version 0.5 => 0.7.1
2017-11-12 16:12 Christian Grothoff Assigned To => Christian Grothoff
2017-11-12 16:12 Christian Grothoff Status confirmed => assigned
2018-01-19 00:59 Christian Grothoff Note Added: 0012806
2018-01-19 00:59 Christian Grothoff Target Version 0.7.1 => 0.5
2018-01-19 01:28 Christian Grothoff Note Added: 0012807
2018-01-22 21:14 Christian Grothoff Target Version 0.5 => 0.7.1
2018-01-22 22:00 Christian Grothoff Priority normal => low
2018-03-27 18:29 Christian Grothoff Priority low => high
2018-04-15 12:29 Christian Grothoff Note Added: 0012918
2018-09-15 10:59 Christian Grothoff Assigned To Christian Grothoff =>
2018-09-15 10:59 Christian Grothoff Status assigned => confirmed
2018-09-15 11:02 Christian Grothoff Relationship added child of 0005433
2018-09-15 11:02 Christian Grothoff Relationship deleted child of 0005433
2018-09-15 11:03 Christian Grothoff Relationship added child of 0005433
2018-11-21 11:36 Christian Grothoff Relationship deleted child of 0005433
2020-03-29 22:05 Christian Grothoff Assigned To => Christian Grothoff
2020-03-29 22:05 Christian Grothoff Status confirmed => assigned
2020-03-29 22:05 Christian Grothoff Target Version 0.7.1 => 0.7.2
2020-04-11 18:44 Christian Grothoff Note Added: 0015624
2020-04-11 18:52 Christian Grothoff Note Added: 0015625
2020-04-11 18:52 Christian Grothoff Status assigned => resolved
2020-04-11 18:52 Christian Grothoff Resolution open => fixed
2020-04-11 18:52 Christian Grothoff Fixed in Version => 0.7.1
2020-04-11 18:52 Christian Grothoff Target Version 0.7.2 => 0.7.1